/*
 * 11/01/2002
 *
 * Icons
 * Copyright (C) 2002 Vouriot Thierry
 * thierry.vouriot@free.fr
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package tvouriot.elife.images;

/** Interface contenant les chemins d'accs de tous les icnes et images du programmes.
 */
public interface Icons {
    
    /** Chemin de l'icne principale */
    public static final String ELIFE = "images/elife.jpg";
    /** Chemin de l'icne <I>A propos...</I> */
    public static final String ABOUT = "images/icon_about_s24.gif";
    /** Chemin de l'icne blanc */
    public static final String BLANK = "images/icon_blank_24.gif";
    /** Chemin de l'icne <I>Fermer</I> */
    public static final String CLOSE = "images/icon_close_s24.gif";
    /** Chemin de l'icne <I>Copier</I> */
    public static final String COPY = "images/icon_copy_s24.gif";
    /** Chemin de l'icne <I>Couper</I> */
    public static final String CUT = "images/icon_cut_s24.gif";
    /** Chemin de l'icne <I>Explorateur</I> */
    public static final String EXPLORER = "images/icon_explorer_s24.gif";
    /** Chemin de l'icne <I>Rechercher</I> */
    public static final String FIND = "images/icon_find_s24.gif";
    /** Chemin de l'icne <I>Rechercher suivant</I> */
    public static final String FINDAGAIN = "images/icon_findagain_s24.gif";
    /** Chemin de l'icne <I>Aller ligne...</I> */
    public static final String GOTO = "images/icon_goto_s24.gif";
    /** Chemin de l'icne <I>Rpertoire personnel</I> */
    public static final String HOME = "images/icon_home_s24.gif";
    /** Chemin de l'icne <I>Java VM</I> */
    public static final String JAVADIR = "images/icon_java_s24.gif";
    /** Chemin de l'icne <I>Nouveau</I> */
    public static final String NEW = "images/icon_new_s24.gif";
    /** Chemin de l'icne <I>Ouvrir</I> */
    public static final String OPEN = "images/icon_open_s24.gif";
    /** Chemin de l'icne <I>Options</I> */
    public static final String OPTIONS = "images/icon_options_s24.gif";
    /** Chemin de l'icne <I>Coller</I> */
    public static final String PASTE = "images/icon_paste_s24.gif";
    /** Chemin de l'icne <I>Rtablir</I> */
    public static final String REDO = "images/icon_redo_s24.gif";
    /** Chemin de l'icne <I>Remplacer</I> */
    public static final String REPLACE = "images/icon_replace_s24.gif";
    /** Chemin de l'icne <I>Disques</I> */
    public static final String ROOTS = "images/icon_roots_s24.gif";
    /** Chemin de l'icne <I>Enregistrer</I> */
    public static final String SAVE = "images/icon_save_s24.gif";
    /** Chemin de l'icne <I>Enregistrer tout</I> */
    public static final String SAVEALL = "images/icon_saveall_s24.gif";
    /** Chemin de l'icne <I>Enregistrer sous</I> */
    public static final String SAVEAS = "images/icon_saveas_s24.gif";
    /** Chemin de l'icne <I>Text modifi</I> */
    public static final String TEXT_MODIFIED = "images/icon_text_modified.gif";
    /** Chemin de l'icne <I>Text ok</I> */
    public static final String TEXT_OK = "images/icon_text_ok.gif";
    /** Chemin de l'icne <I>Annuler</I> */
    public static final String UNDO = "images/icon_undo_s24.gif";
    
    /** Chemin de l'icne <I>C</I> */
    public static final String C = "images/icon_c.gif";
    /** Chemin de l'icne <I>H</I> */
    public static final String H = "images/icon_h.gif";
    /** Chemin de l'icne <I>C++</I> */
    public static final String CPP = "images/icon_cpp.gif";
    /** Chemin de l'icne <I>JAVA</I> */
    public static final String JAVA = "images/icon_java.gif";
    /** Chemin de l'icne <I>SPEC</I> */
    public static final String SPEC = "images/icon_spec.gif";
    /** Chemin de l'icne <I>HTML</I> */
    public static final String HTML = "images/icon_html.gif";
    /** Chemin de l'icne <I>XML</I> */
    public static final String XML = "images/icon_xml.gif";
    /** Chemin de l'icne <I>SQL</I> */
    public static final String SQL = "images/icon_sql.gif";
    
    /** Chemin de l'image dans la fentre <I>A propos...</I> */
    public static final String IMGABOUT = "images/about.jpg";
}